[arch-commits] Commit in (5 files)

Tobias Powalowski tpowa at archlinux.org
Mon Jun 15 19:40:54 UTC 2009


    Date: Monday, June 15, 2009 @ 15:40:54
  Author: tpowa
Revision: 42551

'add rpcbind as portmap replacement'

Added:
  rpcbind/
  rpcbind/repos/
  rpcbind/trunk/
  rpcbind/trunk/PKGBUILD
  rpcbind/trunk/rpcbind

----------+
 PKGBUILD |   26 ++++++++++++++++++++++++++
 rpcbind  |   39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

Added: rpcbind/trunk/PKGBUILD
===================================================================
--- rpcbind/trunk/PKGBUILD	                        (rev 0)
+++ rpcbind/trunk/PKGBUILD	2009-06-15 19:40:54 UTC (rev 42551)
@@ -0,0 +1,26 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+pkgname=rpcbind
+pkgver=0.2.0
+pkgrel=1
+pkgdesc="portmap replacement which supports RPC over various protocols"
+arch=(i686 x86_64)
+depends=('bash' 'glibc' 'libtirpc')
+url="http://rpcbind.sourceforge.net"
+license=('custom')
+replaces=('portmap')
+source=(http://dl.sourceforge.net/sourceforge/rpcbind/rpcbind-0.2.0.tar.bz2 
+        rpcbind)
+md5sums=('1a77ddb1aaea8099ab19c351eeb26316'
+         '78a963654f57cbb209e228884767836e')
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
+  # install daemon 
+  install -D -m755 $srcdir/rpcbind $pkgdir/etc/rc.d/rpcbind
+  # install license
+  install -D -m644 COPYING $pkgdir/usr/share/licenses/rpcbind/COPYING
+}

Added: rpcbind/trunk/rpcbind
===================================================================
--- rpcbind/trunk/rpcbind	                        (rev 0)
+++ rpcbind/trunk/rpcbind	2009-06-15 19:40:54 UTC (rev 42551)
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID="$(pidof -o %PPID /usr/bin/rpcbind)"
+case "$1" in
+  start)
+    stat_busy "Starting rpcbind"
+    [ -z "$PID" ] && /usr/bin/rpcbind &>/dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      PID=$(pidof -o %PPID /usr/bin/rpcbind)
+      echo $PID > /var/run/rpcbind.pid
+      add_daemon rpcbind
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping rpcbind"
+    [ ! -z "$PID" ]  && kill $PID &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm /var/run/rpcbind.pid
+      rm_daemon rpcbind
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac
+exit 0


Property changes on: rpcbind/trunk/rpcbind
___________________________________________________________________
Added: svn:executable
   + *




More information about the arch-commits mailing list